cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 
Setup & License forum

Yosemite iMac won't run AC23

lagodue
Newcomer
All - my 2012 iMac running Yosemite 10.10.5 system software cannot be upgraded to run AC23. Does anyone know if there is a hardware part (CPU maybe) that can be changed out so latest Apple OS can be installed?
"Bob" - Church of the Sub-Genius
Graphisoft afficionado since 1993
3 REPLIES 3

Karl Ottenstein
Moderator
If it is really a 2012 iMac (vs an older one purchased then), it can be upgraded to Mojave (and should have been a long time ago). Mojave will run AC 23 just fine.

Since you have not updated at all since 10.10 (5 version of the operating system have been released since then)... it may be a fear of updating? Be assured, when you upgrade your MacOS, it has not affect on your data files and settings - only the OS. Still, it is wise to do a complete backup before updating!

https://support.apple.com/en-us/HT210190
One of the forum moderators   •   AC 26 USA and earlier   •   MacOS 11.6.8, iMac Pro

Ralph Wessel
Mentor
Adding to Karl's observations, you should be able to update a 2012 iMac to the very latest OS – refer to this page for a list of compatible hardware: https://support.apple.com/en-gb/HT210222
Ralph Wessel BArch

lagodue
Newcomer
Thx for the replies.
I based my question on Apple's website telling me I could not upgrade the OS.

Since then, I have managed to upgrade step by step - Yosemite/Mojave/Sierra/High Sierra - without any hardware upgrades.

All is well!
"Bob" - Church of the Sub-Genius
Graphisoft afficionado since 1993

Still looking?

Browse more topics

Back to forum

See latest solutions

Accepted solutions

Start a new discussion!